//本地android.js开始加载
var QF = function(){};

var currentcallbacks = [];
//1、刷新
QF.prototype.refresh = function(refresh){
     QFNew.refresh(refresh);
};

//2、跳转登陆
QF.prototype.jumpLogin = function(jumpLoginCallBack){
    if(typeof jumpLoginCallBack == 'function'){
        currentcallbacks["jumpLoginCallBack"] = jumpLoginCallBack;
        QFNew.jumpLogin('currentcallbacks["jumpLoginCallBack"]');
    }else{
        QFNew.jumpLogin(jumpLoginCallBack);
    }
};


//3、跳转绑定手机号
QF.prototype.jumpBindMobile = function(jumpBindMobileCallBack){
    if(typeof jumpBindMobileCallBack == 'function'){
        currentcallbacks["jumpBindMobileCallBack"] = jumpBindMobileCallBack;
        QFNew.jumpBindMobile('currentcallbacks["jumpBindMobileCallBack"]');
    }else{
        QFNew.jumpBindMobile(jumpBindMobileCallBack);
    }
};


//4、跳转帖子详情页
QF.prototype.jumpThread = function(tid){
     QFNew.jumpThread(tid);
};


//5、跳转版块详情页
QF.prototype.jumpThreadList = function(fid){
     QFNew.jumpThreadList(fid);
};


//6、跳转全部版块
QF.prototype.jumpForum = function(){
     QFNew.jumpForum();
};


//7、跳转发布帖子
QF.prototype.jumpPostThread = function(fid,fname,content,jumpPostThreadCallBack){
    if(typeof jumpPostThreadCallBack == 'function'){
        currentcallbacks["jumpPostThreadCallBack"] = jumpPostThreadCallBack;
        QFNew.jumpPostThread(fid,fname,content,'currentcallbacks["jumpPostThreadCallBack"]');
    }else{
        QFNew.jumpPostThread(fid,fname,content,jumpPostThreadCallBack);
    }
};


//8、跳转本地圈详情页
QF.prototype.jumpSide = function(sid){
     QFNew.jumpSide(sid);
};


//9、跳转本地圈话题详情页
QF.prototype.jumpSideList = function(tid,tname){
     QFNew.jumpSideList(tid,tname);
};


//10、跳转本地圈话题列表页
QF.prototype.jumpTopic = function(){
     QFNew.jumpTopic();
};


//11、跳转发布本地圈
QF.prototype.jumpPostSide = function(content,jumpPostSideCallBack){
    if(typeof jumpPostSideCallBack == 'function'){
        currentcallbacks["jumpPostSideCallBack"] = jumpPostSideCallBack;
        QFNew.jumpPostSide(content,'currentcallbacks["jumpPostSideCallBack"]');
    }else{
        QFNew.jumpPostSide(content,jumpPostSideCallBack);
    }
};

//12、跳转用户个人主页
QF.prototype.jumpUser = function(uid){
     QFNew.jumpUser(uid);
};

//13、跳转私信对话页
QF.prototype.jumpTalk = function(uid,username,avatar){
     QFNew.jumpTalk(uid,username,avatar);
};

//14、跳转扫一扫页面
QF.prototype.jumpScan = function(jumpScanCallBack){
    if(typeof jumpScanCallBack == 'function'){
        currentcallbacks["jumpScanCallBack"] = jumpScanCallBack;
        QFNew.jumpScan('currentcallbacks["jumpScanCallBack"]');
    }else{
        QFNew.jumpScan(jumpScanCallBack);
    }
};

//15、跳转外部浏览器
QF.prototype.outOpen = function(url){
     QFNew.outOpen(url);
};

//16、打开分享平台
QF.prototype.openShare = function(platform){
     QFNew.openShare(platform);
};

//17、调用更多分享弹窗
QF.prototype.openShareDialog = function(){
     QFNew.openShareDialog();
};

//18、安卓打开其他应用
QF.prototype.openApp = function(packagename){
     QFNew.openApp(packagename);
};


//19、调用客户端发送短信的接口
QF.prototype.sendSMS = function(phone,content,sendSMSCallBack){
    if(typeof sendSMSCallBack == 'function'){
        currentcallbacks["sendSMSCallBack"] = sendSMSCallBack;
        QFNew.sendSMS(phone,content,'currentcallbacks["sendSMSCallBack"]');
    }else{
        QFNew.sendSMS(phone,content,sendSMSCallBack);
    }
};


//20、调用原生界面浏览大图
QF.prototype.viewImages = function(position,jsonArray){
     QFNew.viewImages(position,jsonArray);
};


//21、设置分享
QF.prototype.setShareInfo = function(title,image,description,url,setShareInfoCallBack){
    if(typeof setShareInfoCallBack == 'function'){
        currentcallbacks["setShareInfoCallBack"] = setShareInfoCallBack;
        QFNew.setShareInfo(title,image,description,url,'currentcallbacks["setShareInfoCallBack"]');
    }else{
        QFNew.setShareInfo(title,image,description,url,setShareInfoCallBack);
    }
};

//21、设置分享,shareType 1:链接分享 2:图片分享 3:小程序分享 shareAppLink 分享协议
QF.prototype.setShareInfo = function(title,image,description,url,setShareInfoCallBack,shareType,shareAppLink,WxMiniProgram){
    if(typeof setShareInfoCallBack == 'function'){
        currentcallbacks["setShareInfoCallBack"] = setShareInfoCallBack;
        QFNew.setShareInfo(title,image,description,url,'currentcallbacks["setShareInfoCallBack"]',shareType,shareAppLink,WxMiniProgram);
    }else{
        QFNew.setShareInfo(title,image,description,url,setShareInfoCallBack,shareType,shareAppLink,WxMiniProgram);
    }
};

//22、隐藏右上角菜单按钮
QF.prototype.setMenu = function(hide){
     QFNew.setMenu(hide);
};

//23、隐藏分享按钮（同时隐藏复制链接地址）
QF.prototype.setSharable = function(hide){
     QFNew.setSharable(hide);
};

//24、隐藏外部浏览器打开按钮
QF.prototype.setOutOpen = function(hide){
     QFNew.setOutOpen(hide);
};

//25、关闭当前Webview
QF.prototype.close = function(){
     QFNew.close();
};


//26、获取当前经纬度
QF.prototype.getLocation = function(getLocationCallBack){
    if(typeof getLocationCallBack == 'function'){
        currentcallbacks["getLocationCallBack"] = getLocationCallBack;
        QFNew.getLocation('currentcallbacks["getLocationCallBack"]');
    }else{
        QFNew.getLocation(getLocationCallBack);
    }
};

//27、获取当前用户信息
QF.prototype.getUserInfo = function(getUserInfoCallBack){
    if(typeof getUserInfoCallBack == 'function'){
        currentcallbacks["getUserInfoCallBack"] = getUserInfoCallBack;
        QFNew.getUserInfo('currentcallbacks["getUserInfoCallBack"]');
    }else{
        QFNew.getUserInfo(getUserInfoCallBack);
    }
};


//28、获取设备号
QF.prototype.getDeviceId = function(getDeviceIdCallBack){
     if(typeof getDeviceIdCallBack == 'function'){
         currentcallbacks["getDeviceIdCallBack"] = getDeviceIdCallBack;
         QFNew.getDeviceId('currentcallbacks["getDeviceIdCallBack"]');
     }else{
         QFNew.getDeviceId(getDeviceIdCallBack);
     }
};

//29、跳转编辑个人中心页面
QF.prototype.jumpProfile = function(){
     QFNew.jumpProfile();
};

//30、通知应用更新用户金币、等级、签到等信息
QF.prototype.shouldUpdateGoldLevel = function(){
     QFNew.shouldUpdateGoldLevel();
};

//31、调用原生打赏页面
QF.prototype.reward = function(uid,username,avatar,rewarddesc,rewardmsgplaceholder,lv,lvname,gender,showcashblock,showgoldblock,rewardstep,cashstep,rewardCallBack){
     if(typeof rewardCallBack == 'function'){
         currentcallbacks["rewardCallBack"] = rewardCallBack;
         QFNew.reward(uid,username,avatar,rewarddesc,rewardmsgplaceholder,lv,lvname,gender,showcashblock,showgoldblock,rewardstep,cashstep,'currentcallbacks["rewardCallBack"]');
     }else{
         QFNew.reward(uid,username,avatar,rewarddesc,rewardmsgplaceholder,lv,lvname,gender,showcashblock,showgoldblock,rewardstep,cashstep,rewardCallBack);
     }
};

//32、新增h5打赏，支持打赏url。
QF.prototype.jumpReward = function(json,jumpRewardCallBack){
     if(typeof jumpRewardCallBack == 'function'){
         currentcallbacks["jumpRewardCallBack"] = jumpRewardCallBack;
         QFNew.jumpReward(json,'currentcallbacks["jumpRewardCallBack"]');
     }else{
         QFNew.jumpReward(json,jumpRewardCallBack);
     }
};

//33、显示客户端原生Toast
QF.prototype.toast = function(type,content,duration){
     QFNew.toast(type,content,duration);
};

//34、显示右上角刷新按钮
QF.prototype.setRefresh = function(show){
     QFNew.setRefresh(show);
};

//35、设置Webview标题
QF.prototype.setTitle = function(title){
     QFNew.setTitle(title);
};

//36、跳转本地圈交友页面
QF.prototype.jumpFriendContainer = function(type){
     QFNew.jumpFriendContainer(type);
};

//37、跳转新的Webview
QF.prototype.jumpNewWebview = function(url){
     QFNew.jumpNewWebview(url);
};

//38、跳转支付页面
QF.prototype.jumpPayOrder = function(orderId,jumpPayOrderCallBack){
     if(typeof jumpPayOrderCallBack == 'function'){
         currentcallbacks["jumpPayOrderCallBack"] = jumpPayOrderCallBack;
         QFNew.jumpPayOrder(orderId,'currentcallbacks["jumpPayOrderCallBack"]');
     }else{
         QFNew.jumpPayOrder(orderId,jumpPayOrderCallBack);
     }
};

//39、给站点创建订单
QF.prototype.createOrder = function(type,item,send_type,address,allow_pay_type,createOrderCallBack){
     if(typeof createOrderCallBack == 'function'){
         currentcallbacks["createOrderCallBack"] = createOrderCallBack;
         QFNew.createOrder(type,item,send_type,address,allow_pay_type,'currentcallbacks["createOrderCallBack"]');
     }else{
         QFNew.createOrder(type,item,send_type,address,allow_pay_type,createOrderCallBack);
     }
};

//40、这个方法是给站点调用的调起支付,支付到站点
QF.prototype.jumpPay = function(type,item,send_type,address,allow_pay_type,jumpPayCallBack){
     if(typeof jumpPayCallBack == 'function'){
         currentcallbacks["jumpPayCallBack"] = jumpPayCallBack;
         QFNew.jumpPay(type,item,send_type,address,allow_pay_type,'currentcallbacks["jumpPayCallBack"]');
     }else{
         QFNew.jumpPay(type,item,send_type,address,allow_pay_type,jumpPayCallBack);
     }
};


//41、支付到千帆
QF.prototype.jumpPayQF = function(type,item,send_type,address,jumpPayQFCallBack){
     if(typeof jumpPayQFCallBack == 'function'){
         currentcallbacks["jumpPayQFCallBack"] = jumpPayQFCallBack;
         QFNew.jumpPayQF(type,item,send_type,address,'currentcallbacks["jumpPayQFCallBack"]');
     }else{
         QFNew.jumpPayQF(type,item,send_type,address,jumpPayQFCallBack);
     }
};

//42、跳转收货地址页面
QF.prototype.jumpAddress = function(jumpAddressCallBack){
     if(typeof jumpAddressCallBack == 'function'){
         currentcallbacks["jumpAddressCallBack"] = jumpAddressCallBack;
         QFNew.jumpAddress('currentcallbacks["jumpAddressCallBack"]');
     }else{
         QFNew.jumpAddress(jumpAddressCallBack);
     }
};

//43、更改名字后调用
QF.prototype.afterChangeName = function(newName,renameCard){
     QFNew.afterChangeName(newName,renameCard);
};

//44、跳转我的钱包页面
QF.prototype.jumpMyPackage = function(){
     QFNew.jumpMyPackage();
};

//45、弹出电话弹窗
QF.prototype.jumpTel = function(telNum){
     QFNew.jumpTel(telNum);
};

//46、跳转pos通
QF.prototype.jumpPos = function(){
     QFNew.jumpPos();
};

//47、跳转点赞列表
QF.prototype.jumpLikeList = function(tid){
     QFNew.jumpLikeList(tid);
};

//48、跳转加入群组
QF.prototype.jumpGroup = function(gid){
     QFNew.jumpGroup(gid);
};

//49、创建订单
QF.prototype.Order = function(json,OrderCallBack){
     if(typeof OrderCallBack == 'function'){
         currentcallbacks["OrderCallBack"] = OrderCallBack;
         QFNew.Order(json,'currentcallbacks["OrderCallBack"]');
     }else{
         QFNew.Order(json,OrderCallBack);
     }
};


//50、跳转红包列表
QF.prototype.jumpEnvelopeList = function(){
     QFNew.jumpEnvelopeList();
};


//51、跳转红包列表
QF.prototype.provideLogin = function(loginType,openid,unionid,nickname){
     QFNew.provideLogin(loginType,openid,unionid,nickname);
};


//52、打开红包
QF.prototype.openPacket = function (json, packetCallBack) {
    QFNew.openPacket(json,packetCallBack);
};

//53、设置显示隐藏扫一扫按钮--主Tab为Webview时生效
QF.prototype.setScan = function (hide) {
    QFNew.setScan(hide);
};

//54、跳转新的Webview 并且有回调
QF.prototype.jumpNewWebview = function (url,jumpNewWebviewCallBack) {
     if(typeof jumpNewWebviewCallBack == 'function'){
         currentcallbacks["jumpNewWebviewCallBack"] = jumpNewWebviewCallBack;
         QFNew.jumpNewWebview(url,'currentcallbacks["jumpNewWebviewCallBack"]');
     }else{
         QFNew.jumpNewWebview(url,jumpNewWebviewCallBack);
     }
};



//55、唤起送礼dialog
QF.prototype.jumpThreadGiftDialog = function (tid,fid,uid,giftCallBack) {
    if(typeof giftCallBack == 'function'){
        currentcallbacks["giftCallBack"] = giftCallBack;
        QFNew.jumpThreadGiftDialog(tid,fid,uid,'currentcallbacks["giftCallBack"]');
    }else{
        QFNew.jumpThreadGiftDialog(tid,fid,uid,giftCallBack);
    }
};

//56、唤起送礼排行榜
QF.prototype.jumpThreadGiftRank = function (tid) {
    QFNew.jumpThreadGiftRank(tid);
};

//57、判断当前设备是否开启接口app通知
QF.prototype.getSystemNotice = function (needAlert, noticeCallBack) {
    if(typeof noticeCallBack == 'function'){
        currentcallbacks["noticeCallBack"] = noticeCallBack;
        QFNew.getSystemNotice(needAlert, 'currentcallbacks["noticeCallBack"]');
    }else{
        QFNew.getSystemNotice(needAlert,noticeCallBack);
    }
};

//58、通过JS上传图片、视频
QF.prototype.uploadImageOrVideo = function (type,jsUploadOptions,uploadImageOrVideoCallBack) {
    if(typeof uploadImageOrVideoCallBack == 'function'){
        currentcallbacks["uploadImageOrVideoCallBack"] = uploadImageOrVideoCallBack;
        QFNew.uploadImageOrVideo(type,jsUploadOptions, 'currentcallbacks["uploadImageOrVideoCallBack"]');
    }else{
        QFNew.uploadImageOrVideo(type,jsUploadOptions,uploadImageOrVideoCallBack);
    }
};

//59、跳转免责声明
QF.prototype.jumpDisclaimer = function(){
     QFNew.jumpDisclaimer();
};

//60、设置分享口令
QF.prototype.setShareWord = function(word,setShareWordCallBack){
      if(typeof setShareWordCallBack == 'function'){
            currentcallbacks["setShareWordCallBack"] = setShareWordCallBack;
            QFNew.setShareWord(word, 'currentcallbacks["setShareWordCallBack"]');
        }else{
            QFNew.setShareWord(word,setShareWordCallBack);
        }
};
//61、跳转聊天页面--并且传递分类信息参数
QF.prototype.jumpTalkWithClassify = function(uid,username,avatar,jsChatClassifyParams){
      QFNew.jumpTalkWithClassify(uid,username,avatar,jsChatClassifyParams);
};

// 62、设置分类信息详情页的参数
// source_id: 分类信息id
// is_collect:是否收藏 1 => 已收藏 0 => 未收藏
// can_get_envelope //该用户是否可以获取红包 0；没有红包标识 1：红包标识(已领取) 2红包标识(不可领取)
// envelope_id: 红包id
// group_id
// category_id
QF.prototype.setClassifyDetail = function (source_id,author_id,is_collect,can_get_envelope,category_id,group_id,envelope_id,share_envelope) {
    QFNew.setClassifyDetail(source_id,author_id, is_collect, can_get_envelope,category_id,group_id,envelope_id,share_envelope);
}
//63、跳转地图选择经纬度
QF.prototype.jumpMap = function (lat, lng, address, type, mapCallback) {
	if(typeof mapCallback == 'function'){
		currentcallbacks["mapCallback"] = mapCallback;
		QFNew.jumpMap(lat, lng, address, type, 'currentcallbacks["mapCallback"]')
	}else{
		QFNew.jumpMap(lat, lng, address, type, mapCallback)
	}
}

//64、获取分类信息详情数据
QF.prototype.getClassifyViewInfo = function (infoId, viewInfoCallback) {
	if(typeof viewInfoCallback == 'function'){
		currentcallbacks["viewInfoCallback"] = viewInfoCallback;
		QFNew.getClassifyViewInfo(infoId, 'currentcallbacks["viewInfoCallback"]');
	}else{
		QFNew.getClassifyViewInfo(infoId, viewInfoCallback);
	}
}

//65、跳转新的WebView，并且关闭当前页面
QF.prototype.jumpNewWebviewWithClose = function (direct) {
	QFNew.jumpNewWebviewWithClose(direct);
}

//66、跳转到小程序
QF.prototype.jumpMiniProgram = function (wxid, wxpath, minCallback) {
	if(typeof minCallback == 'function'){
		currentcallbacks["minCallback"] = minCallback;
		QFNew.jumpMiniProgram(wxid, wxpath,'currentcallbacks["minCallback"]');
	}else{
		QFNew.jumpMiniProgram(wxid, wxpath, minCallback);
	}
}

var QFH5 = new QF();

//本地android.js结束加载